# 32/64bit spec-file
#
%define name		kimtoy
%define version		1.9.2
%define release		%mkrel 1

%define prefix		/usr
%define fcitxbindir	/usr/bin

Name:		%{name}
Version:		%{version}
Release:		%release
Summary:		An input method frontend for KDE. It is an alternative to kimpanel.
URL:			http://kde-apps.org/content/show.php/KIMToy?content=140967
Group:		System/Internationalization
License:		GPL
Source:		%{name}-%{version}.tar.xz
BuildRequires: 	kdelibs-devel
BuildRequires:	gettext
BuildRequires:	scim-devel
BuildRequires:	fcitx
Requires:		kdelibs
Requires:		%{_lib}qtcore4
Requires:		scim
Requires:		fcitx
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
KIMToy is an input method frontend for KDE. It is an alternative to kimpanel plasmoid. KIMToy uses the same dbus ipc specification as kimpanel, say org.kde.impanel, so where kimpanel works, where KIMToy works.

KIMToy is a standalone application, has no dependence on plasma, so it won\'t make your whole desktop unstable.

KIMToy aims to provide a stable and intergrated frontend for Asian input method, such as fcitx, scim and ibus.

KIMToy makes easy for fcitx/ibus/scim users. These three input method should work out of box since KIMToy-0.2.

KIMToy is able to load sogou input method theme since KIMToy-0.4.


%description -l zh_CN
KIMToy是kimpanel的替代品。从KIMToy-4.0起，可兼容搜狗拼音输入法的皮肤。

%prep
%setup -q

%build
mkdir build && cd build
cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix=%prefix` -DLIB_INSTALL_DIR=%{_libdir}
make

%install
cd build
make DESTDIR=$RPM_BUILD_ROOT install

desktop-file-install --vendor="" \
  --add-category="Office" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/%name.desktop

%find_lang %{name}

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/%name
%{_libdir}/kde4/fskinthumbnail.so
%{_libdir}/kde4/ssfthumbnail.so
%{_libdir}/kde4/plugins/imageformats/kimg_apng.so
%{_libdir}/strigi/strigiea_*.so
%{_libdir}/scim-1.0/1.4.0/Config/kconfig4.so
%{_datadir}/applications/kde4/%name.desktop
%{_datadir}/autostart/%name.desktop
%{_datadir}/config/%name.knsrc
%{_datadir}/kde4/services/fskinthumbnail.desktop
%{_datadir}/kde4/services/ssfthumbnail.desktop
%{_datadir}/kde4/services/qimageioplugins/apng.desktop
%{_datadir}/locale/*/LC_MESSAGES/%name.mo
%{_datadir}/mime/packages/apng.xml
%{_datadir}/mime/packages/fskin.xml
%{_datadir}/mime/packages/ssf.xml

%changelog
* Thu May 30 2013 Archie Arevalo <pclinuxos.ph at gmail.com> 1.9.2-1pclos2013
- update

* Wed May 02 2012 Neal <nealbrks0 at gmail dot com> 1.7.1-1pclos2012
- process

* Wed May 02 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.7.1-1_archie_2012
- 1.7.1

* Tue May 01 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.7-1_archie_2012
- 1.7

* Thu Apr 12 2012 Neal <nealbrks0 at gmail dot com> 1.6-1pclos2012
- added file entry for /usr/lib64/scim-1.0/1.4.0/Config/kconfig4.so
- process

* Sun Apr 01 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.6-1_archie_2012
- 1.6

* Sun Feb 05 2012 Neal <nealbrks0 at gmail dot com> 1.4-1pclos2012
- process

* Fri Feb 03 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.4-1_archie_2011
- Initial build
